## mgdiff 1.0%2Bdebian1

=== debian/changelog ===
mgdiff (1.0+debian1-1) unstable; urgency=medium

  * QA upload.
  * Bump version string to use proper "3.0 (quilt)" format.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Move Vcs-* back to Debian Salsa.
  * debian/rules: Specify CFLAGS during make. (Closes: #1011471)
  * debian/: Use 3.0 (quilt) format and debhelper compat v13.
  * Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 07 Nov 2022 17:01:15 -0500

mgdiff (1.0-30) unstable; urgency=medium

  * QA upload.
  * Set the maintainer to the QA team.
  * Fix FTBFS with glibc 2.21 and gcc-5 (Closes: #790267).
  * Fix parsing of diff output in non-English locales (Closes: #387301).
  * Add a "Reload Both" (meta-R) command (Closes: #394601).
  * Extend VCS ignores to bzr/git/SVN (Closes: #489327).
  * Drop remnants of the /usr/doc/ transition.
  * Make the packaging slightly less musty (debhelper 4->9, dh_clean, dh_prep,
    build-{binary,arch}, ${misc:Depends}.
  * Set temporary Vcs-Git/Browser.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 13 Jan 2016 15:03:29 +0100

mgdiff (1.0-29.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libxt-dev and libxext-dev (Closes: #707943).
  * Transition from lesstif2 to motif (Closes: #714663).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 17:46:18 +0200

mgdiff (1.0-29) unstable; urgency=low

  * Build-depend on xutils-dev rather than xutils (thanks, Daniel Schepler)
    Closes: #485210
  * Bumped to standards version 3.8.0
  * removed DH_COMPAT from debian/rules
  * fixed rules clean target: removed "-", added debian/tmp
  * fixed manpages (wrong Minus "-")

 -- Edelhard Becker <edelhard@debian.org>  Tue, 10 Jun 2008 23:33:58 +0200

mgdiff (1.0-28) unstable; urgency=low

  * bug fixes by Javier Fernández-Sanguino Peña <jfs@debian.org>
    - Insecure /tmp usage in viewpatch example script (Closes: #335188)
    - mgdiff: Allows user to set both input as '-' (Closes: #335191)
    Thanks Javier!

 -- Edelhard Becker <edelhard@debian.org>  Tue, 25 Oct 2005 22:48:37 +0200

mgdiff (1.0-27) unstable; urgency=low

  * updated Paul Serices rmgdiff shell and awk scripts to 1.8.1, available
    from his rmgdiff page (see copyright file); this should fix problems with
    filenames and dirs with spaces and gawk compatibility, thanks Paul!

 -- Edelhard Becker <edelhard@debian.org>  Thu, 23 Jun 2005 22:14:26 +0200

mgdiff (1.0-26) unstable; urgency=low

  * fixed rmgdiff.1x typo, thanks A Costa (Closes: #310343)

 -- Edelhard Becker <edelhard@debian.org>  Fri, 27 May 2005 17:37:17 +0200

mgdiff (1.0-25) unstable; urgency=low

  * switched to lesstif2, get rid of lesstif1
  * switched to debhelper, get rid of debmake
  * made debhelper version lintian-clean

 -- Edelhard Becker <edelhard@debian.org>  Sat, 12 Mar 2005 22:33:35 +0100

mgdiff (1.0-24) unstable; urgency=low

  * bug fixes by Erik de Castro Lopo <erikd AT mega-nerd DOT com>:
    - clean compiler warnigs (Closes: #271623)
    - fix Ctrl-U/Ctrl-P handling (Closes: #271624)
    - fix UTF8 handling (Closes: #135854)
    Thanks Erik!

 -- Edelhard Becker <edelhard@debian.org>  Thu,  7 Oct 2004 00:50:16 +0200

mgdiff (1.0-23) unstable; urgency=low

  * Removes Xmu references from the build process (Closes: Bug#256419, must
    been there for ages, thanks Daniel).
  * corrected manpage sections to 1x

 -- Edelhard Becker <edelhard@debian.org>  Sun, 27 Jun 2004 14:50:55 +0200

mgdiff (1.0-22) unstable; urgency=low

  * included Roger Gammans <rgammans@computer-surgery.co.uk> "Patch Viewer"
    plus necessary mgdiff patch
  * Bumped to standards version 3.6.1

 -- Edelhard Becker <edelhard@debian.org>  Thu,  8 Apr 2004 00:33:53 +0200

mgdiff (1.0-21) unstable; urgency=low

  * scrambled Eriks e-mail in the manpage also
  * typo in man-page fixed (thx Erik pointing this out)

 -- Edelhard Becker <edelhard@debian.org>  Wed,  9 Jul 2003 16:33:07 +0200

mgdiff (1.0-20) unstable; urgency=low

  * applied lots of patches from Erik de Castro Lopo <erikd AT mega-nerd DOT
    com> (explanations from his e-mail to me):
    - mgdiff-includes.diff: Fix a couple of missing includes.
    - mgdiff-islatin.diff: Fix a warning message.
    - mgdiff-sun-fix.diff: A fix for SUN Solaris.
    - mgdiff-tempfile.diff: Replace use of tempnam() with something more
      secure.
    - mgdiff-warnings.diff: Remove compiler warnings when using CFLAGS equal
      to -g -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes [eb: added the
      flags to the Imakefile].
    - mgdiff-snprintf.diff: Replace all usage of sprintf() with snprintf().
    - mgdiff-save-left-right.diff: Add file menu entries for "Save as Left..."
      and "Save as Right...". Includes increment of APP_DEFAULTS_VERSION
      number, mods to Mgdiff.ad and checks for correct app-default value.
    - mgdiff-save-unselected.diff: Allow saving files with unselected blocks.
    - mgdiff-select-both.diff: Add ability to select both sides by clicking
      with the middle button. When both sides are selected the two blocks are
      written to the output file using markings similar to the markings CVS
      palces in a file when a merge goes wrong.
    - mgdiff-man.diff: Update the man page to reflect the above changes. Also
      added my own copyright to a couple of files where I made anything more
      than minor changes. I'm quite happy to have my changes under the same
      license as the original code.
  * changed maintainer address to debian account
  * Bumped to standards version 3.5.10
  * updated README

 -- Edelhard Becker <edelhard@debian.org>  Sat,  7 Jun 2003 16:07:42 +0200

mgdiff (1.0-19) unstable; urgency=low

  * Added NAME section to cvsmgdiff man page (closes: #141670).
  * Bumped to standards version 3.5.8.0.
  * New maintainer. Closes: #169554.

 -- Edelhard Becker <becker@edelhard.de>  Wed, 26 Feb 2003 19:01:20 +0100

mgdiff (1.0-18) unstable; urgency=low

  * Change source maintainer to myself (closes: #71915).

