=== debian/changelog ===
mgdiff (1.0+debian1-2) unstable; urgency=medium

  * QA upload.
  * Fix clean target. Closes: #1047402.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 03 Dec 2025 11:30:00 +0100
