=== debian/control ===
Source: mgdiff
Section: text
Priority: optional
Maintainer: Paul Serice <ugs@debian.org>
Standards-Version: 2.3.0.1

Package: mgdiff
Architecture: any
Depends: ${shlibs:Depends}, diff
Description: xdiff clone
 mgdiff provides a nice graphical interface for comparing the contents
 of two text files.
